##### basic_waitable_timer::operator= (2 of 2 overloads)

Move-assign a `basic_waitable_timer` from another.

    template<
        typename Executor1>
    constraint< is_convertible< Executor1, Executor >::value, basic_waitable_timer & >::type operator=(
        basic_waitable_timer< Clock, WaitTraits, Executor1 > && other);

This assignment operator moves a timer from one object to another. Cancels any outstanding asynchronous operations associated with the target object.

###### Parameters

other

  The other `basic_waitable_timer` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_waitable_timer(const executor_type&)` constructor.